# included templates
include:
  # $TBC_NAMESPACE is a group variable; can be globally overridden
  # Docker template
  - component: "gitlab.com/$TBC_NAMESPACE/docker/gitlab-ci-docker@5.9"
    inputs:
      healthcheck-disabled: true
      trivy-disabled: true
      sbom-disabled: true
      build-args: "--cache-ttl=6h"
      prod-publish-strategy: "auto"
      release-extra-tags: "latest \\g<major>.\\g<minor>\\g<build> \\g<major>\\g<build>"
  # Python template
  - component: "gitlab.com/$TBC_NAMESPACE/python/gitlab-ci-python@6.7"
    inputs:
      image: "registry.hub.docker.com/library/python:3.12"
      package-enabled: true
      sbom-disabled: true
  # semantic-release template
  - component: "gitlab.com/to-be-continuous/semantic-release/gitlab-ci-semrel@3.8"
    inputs:
      auto-release-enabled: true

test-help-cmd:
  image:
    name: $DOCKER_SNAPSHOT_IMAGE
    entrypoint: [""]
  stage: package-test
  script:
    - tbc-check --help
